Problem updating UC520 to 7.0.3 with CCA 2.0

Unanswered Question
Jul 22nd, 2009

Hi,

I'm trying to update a UC520 to the 7.0.3 package using CCA 2.0. I've followed the instructions, it seems to get throught the IOS update OK, but when doing the CUE update fails, and I get an error in the GUI warning me that I musn't have an FTP server running(which I don't!).

Hitting F2 to look through the logs gives this:

Downloading ftp cue-main.ise.7.0.3.pkg


Bytes downloaded :  2896
Bytes downloaded :  3319

Validating package signature ... done

Validating installed manifests ......

Foundation verification failed

Manifest signature validation failed for bootloader_prim_manifest.sig

UC500-CUE>

I get this regardless as to whether I update the whole image or just the CUE.

I now can't run the Telephony wizard, as it warns me that I have to do a factory reset, and cannot do a factory reset as it warns that the UC500 does not meet the minum requirements!

Can anyone shed any light?

Thanks,

Adam

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
Tomoo Esaka Wed, 07/22/2009 - 09:13

Hi Adam,

Your  FTP seems to be working, but there does seem to be an issue with the upgrade itself. Can you try downloading a fresh version of the UC500 software pack from http://www.cisco.com/go/uc500swpk and try again?

Which software pack are you upgrading from? You can find this information in CCA > Monitor > Reports > Telephony > Software Pack

Rgds,

Tomoo

apedder123 Wed, 07/22/2009 - 09:37

Thanks for the quick reply!

I have already downloaded it a couple of times.

I have:

IOS 12.4(20)T2

CME 7.0(0)

CUE 3.0.3

The CCA2 startup guide says I should have a file cm-vm.ise.x.x.x.pkg, but that doesn't seem to be in my package, nearest thing is cm-vm-k9.ise.x.x.x.pkg, but it does not accept that.

Thanks,

Adam

apedder123 Wed, 07/22/2009 - 09:51

No, I mean 3.0.3.

This is a new unit, delivered a couple of days ago, that is what it came with!

I have tried to find an older update in case it wants it stepped, but can't find one to download.

Adam

Steven DiStefano Wed, 07/22/2009 - 10:10

OK Adam, I understand now.  The upgrade left your CUE on the original version it shipped with.  Got it.  I thought you meant you saw that version in the bundle zip, which would be very bad.

We have seen this FTP error occur when other services are running on the PC, or if the PC has multiple NICs and more than one are active, or even security applications and Windows FWs.  But in your case it sounds like (as Tomoo commented) the FTP worked cause the file got there, but then failed validation, which means it didnt get there correctly.

The easiest way to be sure you have the right SW for CUE for UC520 is take it directly from inside the UC520-7.0.3.zip you find at this link...
https://supportforums.cisco.com/docs/DOC-9829

CME-Phone-Loads-7.0.3.tar

CME-Support-Files-7.0.3.tar
SCUE-UC520-7.0.3.zip
uc500-advipservicesk9-mz.124-20.T2
UC520-16U-2BRI-K9-factory-7.0.3.cfg
UC520-16U-4FXO-K9-factory-7.0.3.cfg
UC520-24U-4BRI-K9-factory-7.0.3.cfg
UC520-24U-8FXO-K9-factory-7.0.3.cfg
UC520-32U-4BRI-K9-factory-7.0.3.cfg
UC520-32U-8FXO-K9-factory-7.0.3.cfg
UC520-48U-12FXO-K9-factory-7.0.3.cfg
UC520-48U-6BRI-K9-factory-7.0.3.cfg
UC520-48U-T-E-B-K9-factory-7.0.3.cfg
UC520-48U-T-E-F-K9-factory-7.0.3.cfg
UC520-8U-2BRI-K9-factory-7.0.3.cfg
UC520-8U-4FXO-K9-factory-7.0.3.cfg
UC520W-16U-2BRI-K9-factory-7.0.3.cfg
UC520W-16U-4FXO-K9-factory-7.0.3.cfg
UC520W-8U-2BRI-K9-factory-7.0.3.cfg
UC520W-8U-4FXO-K9-factory-7.0.3.cfg

Is CUE running in a good state>  You can manually check:

SBCS-Main#service-module integrated-Service-Engine 0/0 status  
Service Module is Cisco Integrated-Service-Engine0/0
Service Module supports session via TTY line 2
Service Module is in Steady state
Service Module heartbeat-reset is enabled
Getting status from the Service Module, please wait..

Cisco Unity Express 7.0.3
CUE running on UC500

apedder123 Wed, 07/22/2009 - 11:04

I tried the 3.2.1 update, but get the same errors.

When I run the CLI command you suggest I get:

UC520#service-module integrated-Service-Engine 0/0 status
Service Module is Cisco Integrated-Service-Engine0/0
Service Module supports session via TTY line 2
Service Module is in Steady state
Service Module heartbeat-reset is enabled
Getting status from the Service Module, please wait..

Cisco Unity Express 3.0.3
CUE running on UC500

Thanks,

Adam

Tomoo Esaka Wed, 07/22/2009 - 11:18

Adam,

OK, looks like this issue may require further analysis. If its not too much trouble, could you collect the following information and open a TAC case with these items attached? Thank you for your patience.

Rgds,

Tomoo

1) CCA troubleshooting log

http://www.myciscocommunity.com/servlet/JiveServlet/previewBody/1556-102-1-1923/CCA_troubleshooting_log.pdf

2) Application_LogXXX files:

C:\Program Files\Cisco Systems\CiscoSMB\Cisco Configuration Assistant\

apedder123 Wed, 07/22/2009 - 12:01

OK will do. Device/contract isn't under my ID at the moment, so I'll do it as soon as it is.

Thanks.

mantis32 Wed, 07/22/2009 - 12:12

Since you just received the unit. You should be able to call under the manufacturer warranty/support period. I believe it's 30 or 90 days.

David Trad Wed, 07/22/2009 - 15:24

HI apedder123,

Whilst your waiting can you do the following please:

1. Turn of every NIC that you are not using including the wireless one, and only have enabled the one that is plugged directly into the UC-500

2. Check and make sure that CCA is given expemtions in the Windows Firewall rules

3. Upgrade the IOS only first, then

4. Upgrade the CUE seperatly

5. Do the language update as well on its own if you are also trying to do this

Lastly, i also suggest that you look at getting the 24.T IOS and putting it into the UC500 Upgrade folder, zip it back up and try the update with that one, this has also worked for me in the past.

I need to ask, are you also getting the error that says this UC500 does not meet pre-requists for an upgrade? I started to get this error when i went to version 2.0.1, i bypassed it by loading the new IOS onto the flash card, once i did that i was then able to update the CUE via CCA, untill then CCA would not budge.

Hope you sort it out soon.

Cheers,

David.

Actions

This Discussion

Related Content